Summary:	BB - the portable demo
Summary(pl.UTF-8):	BB - przenośne demo
Name:		bb
Version:	1.3rc1
Release:	11
License:	GPL
Group:		Applications/Terminal
Source0:	http://dl.sourceforge.net/aa-project/%{name}-%{version}.tar.gz
# Source0-md5:	1ae5b742fbe654ba51c31832cf7e81fd
Patch0:		%{name}-typos.patch
Patch1:		%{name}-regparm.patch
Patch2:		segv64.patch
Patch3:		bb-1.3.0_rc1-disable-pulse.patch
URL:		http://aa-project.sourceforge.net/bb/
BuildRequires:	aalib-devel >= 1.4
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libmikmod-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BB is an high quality audio-visual demonstration for your text
terminal. It is portable demo, so you can run it on plenty of
operating systems.

%description -l pl.UTF-8
BB jest wysokiej jakości demem z grafiką i dźwiękiem, działającym na
terminalu tekstowym. Jest przenośne - działa na wielu systemach
operacyjnych.

%prep
%setup -q -n %{name}-1.3.0
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -f missing
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/bb
%{_mandir}/man1/*
%changelog
* Sun May 01 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bb.git;a=log;h=master

* Fri Feb 25 2022 Witold Filipczyk <witekfl@poczta.onet.pl> bdbb183
- patch from Gentoo
- rel 11

* Fri Jun 30 2017 Witold Filipczyk <witekfl@poczta.onet.pl> cd73eeb
- added patch which prevents stopping animation with pulseaudio
- rel 10

* Sun Jan 10 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 8d06d0e
- added segv64.patch (taken from Debian's diff)
- rel 9

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> dc03f0b
- release 8 (by relup.sh)

* Tue Feb 13 2007 qrczak <qrczak@pld-linux.org> a8e5194
- bb-regparm.patch: gcc needs regparm on function definition too.
- Release 7

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ef4f808
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9f7e2cb
- converted to UTF-8

* Thu Sep 22 2005 Jakub Bogusz <qboosh@pld-linux.org> b3df47f
- release 6 for new slang

* Tue Aug 10 2004 averne <averne@pld-linux.org> 1569a21
- rel 5

* Tue Aug 10 2004 averne <averne@pld-linux.org> 14c8798
- refresh config.sub

* Wed Aug 06 2003 kloczek <kloczek@pld-linux.org> d4cec51
- może wrescie ktoś wykasuje to konto ?

* Mon Jul 07 2003 Paweł Gołaszewski <blues@pld-linux.org> fc0cae1
- many small fixes, inspired by kloczek

* Thu Jun 26 2003 ankry <ankry@pld-linux.org> ea4f1cc
- typo

* Thu Jun 26 2003 Tomasz Pala <gotar@pld-linux.org> 1500dda
- added bb-typos.patch,
- release 4.

* Thu Jun 26 2003 Tomasz Pala <gotar@pld-linux.org> 19fb6a5
- typos

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 1c009ad
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> b04d875
- massive attack s/pld.org.pl/pld-linux.org/

* Sun Apr 20 2003 Jakub Bogusz <qboosh@pld-linux.org> d45a832
- use http for sourceforge

* Fri Sep 06 2002 kloczek <kloczek@pld-linux.org> a4ba438
- release 3: use new %doc.

* Wed May 22 2002 kloczek <kloczek@pld-linux.org> 64037e2
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

